package com.steering.mes.zgmil.entity;

import java.io.Serializable;


/**
 * 数据库表SawResult所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-06-29
 */
public class SawResult  implements Serializable{
	 /** VersionUID */
    private static final long serialVersionUID = 1L;
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 分切数
     */
    private String multipleSize;
    /**
     * 定尺上限
     */
    private String orderSizeMax;
    /**
     * 定尺下限
     */
    private String orderSizeMin;
    /**
     * 理论切头长度
     */
    private String targetCutHeadLength;
    /**
     * 理论切尾长度
     */
    private String targetCutTrailLength;
    /**
     * 实际定尺长度
     */
    private String orderSize;
    /**
     * 实绩切头长度
     */
    private String actCutHeadLength;
    /**
     * 实绩切尾长度
     */
    private String actCutTrailLength;
    /**
     * 切削速度
     */
    private String cutSpeed;
    /**
     * 切削厚度
     */
    private String cutThick;
    /**
     * 来料支数
     */
    private String materialNum;
    /**
     * 剔除支数
     */
    private String scrapNum;
    /**
     * 切后支数
     */
    private String cutedNum;
    /**
     * 锯片转速
     */
    private String sawSpeed;
    /**
     * 辊道速度
     */
    private String rollerSpeed;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 监制人
     */
    private String executiveProducer;
    /**
     * 监制时间
     */
    private String producerTime;
    /**
     * 监制人电话
     */
    private String producerTel;
    /**
     * 结炉标识
     */
    private String nodeFurFlag;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;

  /*  public MilSawResultEntity(){
        resultNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        plineCode = "";
        multipleSize = "";
        orderSizeMax = "";
        orderSizeMin = "";
        targetCutHeadLength = "";
        targetCutTrailLength = "";
        orderSize = "";
        actCutHeadLength = "";
        actCutTrailLength = "";
        cutSpeed = "";
        cutThick = "";
        materialNum = "";
        scrapNum = "";
        cutedNum = "";
        sawSpeed = "";
        rollerSpeed = "";
        startTime = "";
        endTime = "";
        executiveProducer = "";
        producerTime = "";
        producerTel = "";
        nodeFurFlag = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
    }*/

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 分切数
     * @return value
     */
    public String getMultipleSize() {
        return multipleSize;
    }

    /**
     * 分切数
     * @param multipleSize value
     */
    public void setMultipleSize(String multipleSize) {
        this.multipleSize = multipleSize;
    }

    /**
     * 定尺上限
     * @return value
     */
    public String getOrderSizeMax() {
        return orderSizeMax;
    }

    /**
     * 定尺上限
     * @param orderSizeMax value
     */
    public void setOrderSizeMax(String orderSizeMax) {
        this.orderSizeMax = orderSizeMax;
    }

    /**
     * 定尺下限
     * @return value
     */
    public String getOrderSizeMin() {
        return orderSizeMin;
    }

    /**
     * 定尺下限
     * @param orderSizeMin value
     */
    public void setOrderSizeMin(String orderSizeMin) {
        this.orderSizeMin = orderSizeMin;
    }

    /**
     * 理论切头长度
     * @return value
     */
    public String getTargetCutHeadLength() {
        return targetCutHeadLength;
    }

    /**
     * 理论切头长度
     * @param targetCutHeadLength value
     */
    public void setTargetCutHeadLength(String targetCutHeadLength) {
        this.targetCutHeadLength = targetCutHeadLength;
    }

    /**
     * 理论切尾长度
     * @return value
     */
    public String getTargetCutTrailLength() {
        return targetCutTrailLength;
    }

    /**
     * 理论切尾长度
     * @param targetCutTrailLength value
     */
    public void setTargetCutTrailLength(String targetCutTrailLength) {
        this.targetCutTrailLength = targetCutTrailLength;
    }

    /**
     * 实际定尺长度
     * @return value
     */
    public String getOrderSize() {
        return orderSize;
    }

    /**
     * 实际定尺长度
     * @param orderSize value
     */
    public void setOrderSize(String orderSize) {
        this.orderSize = orderSize;
    }

    /**
     * 实绩切头长度
     * @return value
     */
    public String getActCutHeadLength() {
        return actCutHeadLength;
    }

    /**
     * 实绩切头长度
     * @param actCutHeadLength value
     */
    public void setActCutHeadLength(String actCutHeadLength) {
        this.actCutHeadLength = actCutHeadLength;
    }

    /**
     * 实绩切尾长度
     * @return value
     */
    public String getActCutTrailLength() {
        return actCutTrailLength;
    }

    /**
     * 实绩切尾长度
     * @param actCutTrailLength value
     */
    public void setActCutTrailLength(String actCutTrailLength) {
        this.actCutTrailLength = actCutTrailLength;
    }

    /**
     * 切削速度
     * @return value
     */
    public String getCutSpeed() {
        return cutSpeed;
    }

    /**
     * 切削速度
     * @param cutSpeed value
     */
    public void setCutSpeed(String cutSpeed) {
        this.cutSpeed = cutSpeed;
    }

    /**
     * 切削厚度
     * @return value
     */
    public String getCutThick() {
        return cutThick;
    }

    /**
     * 切削厚度
     * @param cutThick value
     */
    public void setCutThick(String cutThick) {
        this.cutThick = cutThick;
    }

    /**
     * 来料支数
     * @return value
     */
    public String getMaterialNum() {
        return materialNum;
    }

    /**
     * 来料支数
     * @param materialNum value
     */
    public void setMaterialNum(String materialNum) {
        this.materialNum = materialNum;
    }

    /**
     * 剔除支数
     * @return value
     */
    public String getScrapNum() {
        return scrapNum;
    }

    /**
     * 剔除支数
     * @param scrapNum value
     */
    public void setScrapNum(String scrapNum) {
        this.scrapNum = scrapNum;
    }

    /**
     * 切后支数
     * @return value
     */
    public String getCutedNum() {
        return cutedNum;
    }

    /**
     * 切后支数
     * @param cutedNum value
     */
    public void setCutedNum(String cutedNum) {
        this.cutedNum = cutedNum;
    }

    /**
     * 锯片转速
     * @return value
     */
    public String getSawSpeed() {
        return sawSpeed;
    }

    /**
     * 锯片转速
     * @param sawSpeed value
     */
    public void setSawSpeed(String sawSpeed) {
        this.sawSpeed = sawSpeed;
    }

    /**
     * 辊道速度
     * @return value
     */
    public String getRollerSpeed() {
        return rollerSpeed;
    }

    /**
     * 辊道速度
     * @param rollerSpeed value
     */
    public void setRollerSpeed(String rollerSpeed) {
        this.rollerSpeed = rollerSpeed;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 开始时间
     * @param startTime value
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 监制人
     * @return value
     */
    public String getExecutiveProducer() {
        return executiveProducer;
    }

    /**
     * 监制人
     * @param executiveProducer value
     */
    public void setExecutiveProducer(String executiveProducer) {
        this.executiveProducer = executiveProducer;
    }

    /**
     * 监制时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 监制人电话
     * @return value
     */
    public String getProducerTel() {
        return producerTel;
    }

    /**
     * 监制人电话
     * @param producerTel value
     */
    public void setProducerTel(String producerTel) {
        this.producerTel = producerTel;
    }

    /**
     * 结炉标识
     * @return value
     */
    public String getNodeFurFlag() {
        return nodeFurFlag;
    }

    /**
     * 结炉标识
     * @param nodeFurFlag value
     */
    public void setNodeFurFlag(String nodeFurFlag) {
        this.nodeFurFlag = nodeFurFlag;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }
}
